# OpenLDAP tool to check CRC32 of LDIF files of slapd.d directory
  
This script permit to check (and eventually fix) CRC32 value of the LDIF files of OpenLDAP slapd.d configuration directory.

## Requirements

This script only used common __python3__ modules _(no additionnal package to install on Debian based systems)_.

## Installation

```
git clone https://gogs.zionetrix.net/bn8/check_slapdd_crc32.git /usr/local/src/check_slapdd_crc32
ln -s /usr/local/src/check_slapdd_crc32/check_slapdd_crc32 /usr/local/sbin/check_slapdd_crc32
```

## Usage

```
usage: check_slapdd_crc32 [-h] [-d] [-v] [-l LOGFILE] [-C] [-f]
                          [-p SLAPDD_PATH]

optional arguments:
  -h, --help            show this help message and exit
  -d, --debug           Show debug messages
  -v, --verbose         Show verbose messages
  -l LOGFILE, --log-file LOGFILE
                        Log file path
  -C, --console         Also log on console (even if log file is provided)
  -f, --fix             Fix CRC32 value in LDIF files
  -p SLAPDD_PATH, --path SLAPDD_PATH
                        Default slapd.d directory path (default:
                        /etc/ldap/slapd.d)
```

## Copyright

Copyright (c) 2014-2019 Benjamin Renard

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

